Bug 170330 - play (sox) reports /dev/dsp busy on x86_64
play (sox) reports /dev/dsp busy on x86_64
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sox (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-10 15:13 EDT by Sammy
Modified: 2015-02-01 17:47 EST (History)
1 user (show)

See Also:
Fixed In Version: 13.0.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 09:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2005-10-10 15:13:21 EDT
From Bugzilla Helper: User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; en_US) KHTML/3.4.91 (like Gecko)  Description of problem: On my SMP x86_64 system at the latest rawhide level, playing a file using play  reports /dev/dsp as busy. The same works on i386 at rawhide level.    I updated the sox rpm to latest cvs (removed the two patches) and this worked  fine.    Looking at cvs I see a bunch of recent alsa changes.  FYI   Version-Release number of selected component (if applicable): sox-12.17.7-3  How reproducible: Always  Steps to Reproduce: 1. Try to play a sound file  2. Using /usr/bin/play  3. on a x86_64 system       Additional info:
Comment 1 Thomas Woerner 2005-11-11 11:09:46 EST
Are you using a sound deamon for KDE or GNOME?
Which sound card do you have?
Is sox an i386 or x86_64 package?
Comment 2 Sammy 2005-11-11 11:36:59 EST
Happens with or without the use of sound daeomon for KDE.

I have snd_hda_intel 

Sox is x86_64 package. It works fine on my i386 system. Reading from cvs
they have a bunch of fixes for alsa x86_64.
Comment 3 Jiri Moskovcak 2007-07-12 09:24:10 EDT
Tested on SMP x86_64 F7 with sox-13.0.0-1.

Note You need to log in before you can comment on or make changes to this bug.